// Letters needed: 

// Each letter will be a base of 10 points across. For now they'll
// all be capital.

// x, y = position (top-left corner); s = scale;
void letter(char character, float x, float y, float s)
{  
  if (character == 'A')
  {
    line(5.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(5.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(3.5*s+x, 5.0*s+y, 6.5*s+x, 5.0*s+y);
  }

  if (character == 'B')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 6.0*s+x, 2.0*s+y);
    line(6.0*s+x, 2.0*s+y, 8.0*s+x, 3.0*s+y);
    line(8.0*s+x, 3.0*s+y, 8.0*s+x, 4.0*s+y);
    line(8.0*s+x, 4.0*s+y, 6.0*s+x, 5.0*s+y);
    line(6.0*s+x, 5.0*s+y, 8.0*s+x, 6.0*s+y);
    line(8.0*s+x, 6.0*s+y, 8.0*s+x, 7.0*s+y);
    line(8.0*s+x, 7.0*s+y, 6.0*s+x, 8.0*s+y);
    line(6.0*s+x, 8.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 6.0*s+x, 5.0*s+y);
  }

  if (character == 'C')
  {
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'D')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 5.0*s+x, 2.0*s+y);
    line(5.0*s+x, 2.0*s+y, 8.0*s+x, 3.0*s+y);
    line(8.0*s+x, 3.0*s+y, 8.0*s+x, 7.0*s+y);
    line(8.0*s+x, 7.0*s+y, 5.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 5.0*s+x, 8.0*s+y);
  }

  if (character == 'E')
  {
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'F')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
  }

  if (character == 'G')
  {
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
    line(8.0*s+x, 8.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 5.0*s+y, 6.0*s+x, 5.0*s+y);
  }

  if (character == 'H')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'I')
  {
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 2.0*s+y);
    line(5.0*s+x, 2.0*s+y, 5.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'J')
  {
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 2.0*s+x, 6.0*s+y);
  }

  if (character == 'K')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 4.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 4.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'L')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'M')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 5.0*s+x, 6.0*s+y);
    line(5.0*s+x, 6.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'N')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'O')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'P')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 5.0*s+y, 2.0*s+x, 5.0*s+y);
  }

  if (character == 'Q')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 7.0*s+y);
    line(2.0*s+x, 2.0*s+y, 7.0*s+x, 2.0*s+y);
    line(7.0*s+x, 2.0*s+y, 7.0*s+x, 7.0*s+y);
    line(2.0*s+x, 7.0*s+y, 7.0*s+x, 7.0*s+y);
    line(6.0*s+x, 6.0*s+y, 8.0*s+x, 8.0*s+y);
  }
  if (character == 'R')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'S')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 5.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == 'T')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(5.0*s+x, 2.0*s+y, 5.0*s+x, 8.0*s+y);
  }

  if (character == 'U')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
    line(8.0*s+x, 8.0*s+y, 8.0*s+x, 2.0*s+y);
  }

  if (character == 'V')
  {
    line(2.0*s+x, 2.0*s+y, 5.0*s+x, 8.0*s+y);
    line(5.0*s+x, 8.0*s+y, 8.0*s+x, 2.0*s+y);
  }

  if (character == 'W')
  {
    line(2.0*s+x, 2.0*s+y, 4.0*s+x, 8.0*s+y);
    line(4.0*s+x, 8.0*s+y, 5.0*s+x, 5.0*s+y);
    line(5.0*s+x, 5.0*s+y, 6.0*s+x, 8.0*s+y);
    line(6.0*s+x, 8.0*s+y, 8.0*s+x, 2.0*s+y);
  }

  if (character == 'X')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 2.0*s+y);
  }

  if (character == 'Y')
  {
    line(2.0*s+x, 2.0*s+y, 5.0*s+x, 5.0*s+y);
    line(8.0*s+x, 2.0*s+y, 5.0*s+x, 5.0*s+y);
    line(5.0*s+x, 5.0*s+y, 5.0*s+x, 8.0*s+y);
  }

  if (character == 'Z')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  } 

  if (character == '0')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '1')
  {
    line(4.0*s+x, 2.0*s+y, 5.0*s+x, 2.0*s+y);
    line(5.0*s+x, 2.0*s+y, 5.0*s+x, 8.0*s+y);
    line(3.0*s+x, 8.0*s+y, 7.0*s+x, 8.0*s+y);
  }

  if (character == '2')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '3') 
  {
    line(8.0*s+x, 2.0*s+y, 2.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '4') 
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 5.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
  }

  if (character == '5')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 5.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '6')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 5.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '7')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '8')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 8.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == '9')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 2.0*s+y);
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 5.0*s+y);
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
    line(8.0*s+x, 2.0*s+y, 8.0*s+x, 8.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 8.0*s+y);
  }

  if (character == ':')
  {
    point(2.0*s+x, 3.0*s+y);
    point(2.0*s+x, 7.0*s+y);
  }

  if (character == '-')
  {
    line(2.0*s+x, 5.0*s+y, 8.0*s+x, 5.0*s+y);
  }

  if (character == '>')
  {
    line(2.0*s+x, 2.0*s+y, 8.0*s+x, 5.0*s+y);
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 5.0*s+y);
  }

  if (character == '!')
  {
    line(2.0*s+x, 2.0*s+y, 2.0*s+x, 6.0*s+y);
    point(2.0*s+x, 8.0*s+y);
  }

  if (character == '%')
  {
    line(2.0*s+x, 8.0*s+y, 8.0*s+x, 2.0*s+y);
    point(3.0*s+x, 3.0*s+y);
    point(7.0*s+x, 7.0*s+y);
  }

  if (character == '"')
  {
    line(3.0*s+x, 2.0*s+y, 3.0*s+x, 5.0*s+y);
    line(7.0*s+x, 2.0*s+y, 7.0*s+x, 5.0*s+y);
  }
}

