void state1()
{
  alarm1.run();
  if (alarm1.finished) {
    power -= 1;
    alarm1 = new Alarm(alarmInterval);
  }
  
  // Set lines to green
  stroke(0, 255, 0);
  String time = str(millis()-timeStarted);

  // Display 'TERMINAL ACTIVE'
  stroke(0, 255, 0);
  char[] terminalActive = {
    'T', 'E', 'R', 'M', 'I', 'N', 'A', 'L', ' ', 'A', 'C', 'T', 'I', 'V', 'E',' ','F','O','R'
  };
  String terminal = "TERMINAL ACTIVE FOR "+time+" MILLISECONDS";
  for (int i = 0; i < terminalActive.length; i++)
  {
    words(terminal, 10, 10, 2);
  }

  // Display '----------'
  char[] hyphens = {
    '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'
  };
  for (int i = 0; i < hyphens.length; i++)
  {
    letter(hyphens[i], 20*i+10, 40, 2);
  }

  // Display 'AVAILABLE COMMANDS'
  char[] enterCommand = {
    'T', 'A', 'R', 'G', 'E', 'T', ' ', 'W', 'O', 'R', 'D', ':'
  };
  for (int i = 0; i < enterCommand.length; i++) {
    letter(enterCommand[i], 20*i+10, 70, 2);
  }

  // Display target word
  for (int i = 0; i < targetWordArray.length; i++) {
    letter(targetWordArray[i], 50*i+10, 100, 5);
  }
  
  char[] typeType = {
    'T','Y','P','E','!',' ','T','Y','P','E','!',' ','T','Y','P','E','!'
  };
  for (int i = 0; i < typeType.length; i++) {
    letter(typeType[i], 20*i+10, 164, 2);
  }


  // Display text box (test for size)
  noFill();
  for (int i = 0; i < textbox.length; i++)
  {
    // See if this letter should be colored red
    if (redletters[i] == true) stroke(200, 255, 175);
    else stroke(0, 255, 0);
    // Display letters
    letter(textbox[i], 20*(i%39)+10, 200+(int(i/39))*30, 2);
  }

  // Display cyber defenses bar text
  stroke(0, 255, 0);
  char[] cdBar = {
    'P','O','W','E','R',' ','L','E','V','E','L',':'
  };
  for (int i = 0; i < cdBar.length; i++)
  {
    letter(cdBar[i], 10*i+10, 500, 1);
  }

  // Display cyber-defenses bar
  rectMode(CORNER);
  power = constrain(power,0,100);
  float rectEnd = map(power, 0, maxPower, 0, 780);
  rect(10, 520, rectEnd, 65);
}

